---
page_title: "authentik_certificate_key_pair Data Source - terraform-provider-authentik"
subcategory: "System"
description: |-
  Get certificate-key pairs by name
---

# authentik_certificate_key_pair (Data Source)

Get certificate-key pairs by name

## Example Usage

```terraform
# To get the the ID and other info about a certificate

data "authentik_certificate_key_pair" "generated" {
  name = "authentik Self-signed Certificate"
}

# Then use `data.authentik_certificate_key_pair.generated.id`
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String)

### Optional

- `key_data` (String, Sensitive)

### Read-Only

- `certificate_data` (String)
- `expiry` (String)
- `fingerprint1` (String) SHA1-hashed certificate fingerprint
- `fingerprint256` (String) SHA256-hashed certificate fingerprint
- `id` (String) The ID of this resource.
- `subject` (String)
