---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "authentik_application Resource - terraform-provider-authentik"
subcategory: "Applications"
description: |-
---

# authentik_application (Resource)

## Example Usage

```terraform
# Create an application with a provider attached and policies applied

data "authentik_flow" "default-authorization-flow" {
  slug = "default-provider-authorization-implicit-consent"
}

resource "authentik_provider_oauth2" "name" {
  name               = "example-app"
  client_id          = "example-app"
  client_secret      = "test"
  authorization_flow = data.authentik_flow.default-authorization-flow.id
}

resource "authentik_policy_expression" "policy" {
  name       = "example"
  expression = "return True"
}

resource "authentik_policy_binding" "app-access" {
  target = authentik_application.name.id
  policy = authentik_policy_expression.policy.id
  order  = 0
}

resource "authentik_application" "name" {
  name = "example-app"
  slug = "example-app"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String)
- `slug` (String)

### Optional

- `group` (String)
- `id` (String) The ID of this resource.
- `meta_description` (String)
- `meta_icon` (String)
- `meta_launch_url` (String)
- `meta_publisher` (String)
- `policy_engine_mode` (String) Defaults to `any`.
- `protocol_provider` (Number)
- `uuid` (String)
