---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "authentik_certificate_key_pair Resource - terraform-provider-authentik"
subcategory: "System"
description: |-
---

# authentik_certificate_key_pair (Resource)

## Example Usage

```terraform
# Generate a certificate-key pair

resource "tls_private_key" "example" {
  algorithm   = "ECDSA"
  ecdsa_curve = "P384"
}

resource "tls_self_signed_cert" "example" {
  key_algorithm   = "ECDSA"
  private_key_pem = tls_private_key.example.private_key_pem

  subject {
    common_name  = "example.com"
    organization = "ACME Examples, Inc"
  }

  validity_period_hours = 12

  allowed_uses = [
    "key_encipherment",
    "digital_signature",
    "server_auth",
  ]
}

resource "authentik_certificate_key_pair" "name" {
  name             = "keypair"
  certificate_data = tls_self_signed_cert.example.cert_pem
  key_data         = tls_private_key.example.private_key_pem
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `certificate_data` (String)
- `name` (String)

### Optional

- `id` (String) The ID of this resource.
- `key_data` (String, Sensitive)
