---
page_title: "authentik_stage_identification Resource - terraform-provider-authentik"
subcategory: "Flows & Stages"
description: |-
---

# authentik_stage_identification (Resource)

## Example Usage

```terraform
# Create identification stage with sources and showing a password field

data "authentik_flow" "default-authorization-flow" {
  slug = "default-provider-authorization-implicit-consent"
}

resource "authentik_source_oauth" "name" {
  name                = "test"
  slug                = "test"
  authentication_flow = data.authentik_flow.default-authorization-flow.id
  enrollment_flow     = data.authentik_flow.default-authorization-flow.id

  provider_type   = "discord"
  consumer_key    = "foo"
  consumer_secret = "bar"
}

resource "authentik_stage_password" "name" {
  name     = "test-pass"
  backends = ["authentik.core.auth.InbuiltBackend"]
}

resource "authentik_stage_identification" "name" {
  name           = "test-ident"
  user_fields    = ["username"]
  sources        = [authentik_source_oauth.name.uuid]
  password_stage = authentik_stage_password.name.id
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String)

### Optional

- `case_insensitive_matching` (Boolean)
- `enrollment_flow` (String)
- `id` (String) The ID of this resource.
- `password_stage` (String)
- `passwordless_flow` (String)
- `recovery_flow` (String)
- `show_matched_user` (Boolean) Defaults to `true`.
- `show_source_labels` (Boolean) Defaults to `false`.
- `sources` (List of String)
- `user_fields` (List of String)
